apiVersion: instancetype.kubevirt.io/v1beta1
kind: VirtualMachineClusterPreference
metadata:
  annotations:
    iconClass: icon-windows
    openshift.io/display-name: Microsoft Windows 11
    openshift.io/documentation-url: https://access.redhat.com
    openshift.io/provider-display-name: Red Hat
    openshift.io/support-url: https://access.redhat.com
    operator-sdk/primary-resource: openshift-cnv/ssp-kubevirt-hyperconverged
    operator-sdk/primary-resource-type: SSP.ssp.kubevirt.io
    tags: hidden,kubevirt,windows
  creationTimestamp: "2024-05-02T11:04:39Z"
  generation: 1
  labels:
    app.kubernetes.io/component: templating
    app.kubernetes.io/managed-by: ssp-operator
    app.kubernetes.io/name: common-instancetypes
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.15.2
    instancetype.kubevirt.io/common-instancetypes-version: 0.4.1-5-g77b1d16
    instancetype.kubevirt.io/os-type: windows
    instancetype.kubevirt.io/vendor: redhat.com
  name: windows.11
  resourceVersion: "76654"
  uid: 7bde6e0a-656a-45e1-9ca2-504ced278232
spec:
  clock:
    preferredClockOffset:
      utc: {}
    preferredTimer:
      hpet:
        present: false
      hyperv: {}
      pit:
        tickPolicy: delay
      rtc:
        tickPolicy: catchup
  cpu:
    preferredCPUTopology: preferSockets
  devices:
    preferredAutoattachInputDevice: true
    preferredDiskBus: sata
    preferredInterfaceModel: e1000e
    preferredTPM:
      persistent: true
  features:
    preferredAcpi: {}
    preferredApic: {}
    preferredHyperv:
      frequencies: {}
      ipi: {}
      reenlightenment: {}
      relaxed: {}
      reset: {}
      runtime: {}
      spinlocks:
        spinlocks: 8191
      synic: {}
      synictimer:
        direct: {}
      tlbflush: {}
      vapic: {}
      vpindex: {}
    preferredSmm: {}
  firmware:
    preferredUseEfi: true
    preferredUseSecureBoot: true
  preferredTerminationGracePeriodSeconds: 3600
  requirements:
    cpu:
      guest: 2
    memory:
      guest: 4Gi
